package templatestructures

type Page struct {
	Title          string
	Style          string
	Subpages       []Subpage
	Description    string
	Content        string
	Blogname       string
	Blogdir        string
	Blogpost       bool
	PostCollection []Blogpost
	Categories     []Category
	Previous       string
	Later          string
	Time           string
}

type Subpage struct {
	Title       string
	Description string
	Path        string
}

type Blogpost struct {
	Title   string
	Link    string
	Content string
}

type Category struct {
	Name string
	Path string
}
